Create invoices/item/credit notes
curl --request POST \
--url https://api.callaro.ai/api/v1/invoices/{invoice_id}/credit_notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invoice_id": "<string>",
"application_mode": "<string>",
"reason_code": "<string>",
"subtotal_reversal": "<string>",
"tax_reversal": "<string>",
"notes": "<string>",
"refund_method": "<string>",
"refund_reference": "<string>",
"wallet_debit_amount": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
invoice_id: '<string>',
application_mode: '<string>',
reason_code: '<string>',
subtotal_reversal: '<string>',
tax_reversal: '<string>',
notes: '<string>',
refund_method: '<string>',
refund_reference: '<string>',
wallet_debit_amount: '<string>'
})
};
fetch('https://api.callaro.ai/api/v1/invoices/{invoice_id}/credit_notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/invoices/{invoice_id}/credit_notes"
payload = {
"invoice_id": "<string>",
"application_mode": "<string>",
"reason_code": "<string>",
"subtotal_reversal": "<string>",
"tax_reversal": "<string>",
"notes": "<string>",
"refund_method": "<string>",
"refund_reference": "<string>",
"wallet_debit_amount": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"credit_note_number": "<string>",
"invoice_id": "<string>",
"invoice_number": "<string>",
"reason_code": "<string>",
"currency": "<string>",
"subtotal_reversal": "<string>",
"tax_reversal": "<string>",
"total_reversal": "<string>",
"status": "<string>",
"issued_at": "<string>",
"notes": "<string>",
"application_mode": "<string>",
"refund_method": "<string>",
"refund_reference": "<string>",
"wallet_debit_amount": "<string>",
"created_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Tenants
Create invoices/item/credit notes
From api/v1/credit_notes#create in voice_saas_api. Fields come from that action’s strong params / params usage.
POST
/
api
/
v1
/
invoices
/
{invoice_id}
/
credit_notes
Create invoices/item/credit notes
curl --request POST \
--url https://api.callaro.ai/api/v1/invoices/{invoice_id}/credit_notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invoice_id": "<string>",
"application_mode": "<string>",
"reason_code": "<string>",
"subtotal_reversal": "<string>",
"tax_reversal": "<string>",
"notes": "<string>",
"refund_method": "<string>",
"refund_reference": "<string>",
"wallet_debit_amount": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
invoice_id: '<string>',
application_mode: '<string>',
reason_code: '<string>',
subtotal_reversal: '<string>',
tax_reversal: '<string>',
notes: '<string>',
refund_method: '<string>',
refund_reference: '<string>',
wallet_debit_amount: '<string>'
})
};
fetch('https://api.callaro.ai/api/v1/invoices/{invoice_id}/credit_notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/invoices/{invoice_id}/credit_notes"
payload = {
"invoice_id": "<string>",
"application_mode": "<string>",
"reason_code": "<string>",
"subtotal_reversal": "<string>",
"tax_reversal": "<string>",
"notes": "<string>",
"refund_method": "<string>",
"refund_reference": "<string>",
"wallet_debit_amount": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"credit_note_number": "<string>",
"invoice_id": "<string>",
"invoice_number": "<string>",
"reason_code": "<string>",
"currency": "<string>",
"subtotal_reversal": "<string>",
"tax_reversal": "<string>",
"total_reversal": "<string>",
"status": "<string>",
"issued_at": "<string>",
"notes": "<string>",
"application_mode": "<string>",
"refund_method": "<string>",
"refund_reference": "<string>",
"wallet_debit_amount": "<string>",
"created_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Path Parameters
Body
application/json
Was this page helpful?